org.firstinspires.ftc.robotcore.external.navigation

## Enum TempUnit

- java.lang.Object
- - java.lang.Enum<TempUnit>
  - - org.firstinspires.ftc.robotcore.external.navigation.TempUnit

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TempUnit>

      public enum TempUnit
      extends java.lang.Enum<TempUnit>

  Instances of `TempUnit` enumerate a known different temperature scales

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CELSIUS`
    `FARENHEIT`
    `KELVIN`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `bVal`
    `static double` | `CperF`
    `static double` | `zeroCelsiusF`
    `static double` | `zeroCelsiusK`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `fromCelsius(double celsius)`
    `double` | `fromFarenheit(double farenheit)`
    `double` | `fromKelvin(double kelvin)`
    `double` | `fromUnit(TempUnit him, double his)`
    `static TempUnit` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TempUnit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CELSIUS

          public static final TempUnit CELSIUS

    - #### FARENHEIT

          public static final TempUnit FARENHEIT

    - #### KELVIN

          public static final TempUnit KELVIN

  - ### Field Detail

    - #### bVal

          public final byte bVal

    - #### zeroCelsiusK

          public static final double zeroCelsiusK

      See Also:
        Constant Field Values

    - #### zeroCelsiusF

          public static final double zeroCelsiusF

      See Also:
        Constant Field Values

    - #### CperF

          public static final double CperF

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static TempUnit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TempUnit c : TempUnit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TempUnit valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromCelsius

          public double fromCelsius(double celsius)

    - #### fromKelvin

          public double fromKelvin(double kelvin)

    - #### fromFarenheit

          public double fromFarenheit(double farenheit)

    - #### fromUnit

          public double fromUnit(TempUnit him,
                                 double his)